# This file created by conda-build 3.21.8
# meta.yaml template originally from:
# /feedstock/recipe, last modified Mon Apr  4 13:28:11 2022
# ------------------------------------------------

package:
  name: qtconsole
  version: 5.3.0
source:
  sha256: 8e3520fdc75e46abc4cc6cffeca16fa2652754109b8ae839fa28e27d1eba5625
  url: https://pypi.io/packages/source/q/qtconsole/qtconsole-5.3.0.tar.gz
build:
  entry_points:
    - jupyter-qtconsole = qtconsole.qtconsoleapp:main
  noarch: python
  number: '0'
  script: /opt/conda/conda-bld/qtconsole_1649078897110/_h_env_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_pla/bin/python
    -m pip install . --no-deps -vv
  string: pyhd3eb1b0_0
requirements:
  host:
    - _libgcc_mutex 0.1 main
    - _openmp_mutex 4.5 1_gnu
    - bzip2 1.0.8 h7b6447c_0
    - ca-certificates 2022.3.29 h06a4308_0
    - certifi 2021.5.30 py310h06a4308_0
    - ld_impl_linux-64 2.35.1 h7274673_9
    - libffi 3.3 he6710b0_2
    - libgcc-ng 9.3.0 h5101ec6_17
    - libgomp 9.3.0 h5101ec6_17
    - libstdcxx-ng 9.3.0 hd4cf53a_17
    - libuuid 1.0.3 h7f8727e_2
    - ncurses 6.3 h7f8727e_2
    - openssl 1.1.1n h7f8727e_0
    - pip 21.2.4 py310h06a4308_0
    - python 3.10.4 h12debd9_0
    - readline 8.1.2 h7f8727e_1
    - setuptools 58.0.4 py310h06a4308_0
    - sqlite 3.38.2 hc218d9a_0
    - tk 8.6.11 h1ccaba5_0
    - tzdata 2022a hda174b7_0
    - wheel 0.37.1 pyhd3eb1b0_0
    - xz 5.2.5 h7b6447c_0
    - zlib 1.2.11 h7f8727e_4
  run:
    - ipykernel >=4.1
    - ipython_genutils
    - jupyter_client >=4.1
    - jupyter_core
    - pygments
    - pyqt
    - python >=3.7
    - pyzmq >=17.1
    - qtpy >=2.0.1
    - traitlets
test:
  commands:
    - pip check
    - DISPLAY=localhost:1.0 xvfb-run -a bash -c 'jupyter qtconsole --help'
  imports:
    - qtconsole
    - qtconsole.tests
  requires:
    - pip
app:
  entry: jupyter-qtconsole
  summary: Jupyter Qt Console
  type: desk
about:
  description: 'A rich Qt-based console for working with Jupyter kernels, supporting
    rich

    media output, session export, and more. The Qt console is a very

    lightweight application that largely feels like a terminal, but provides

    a number of enhancements only possible in a GUI, such as inline figures,

    proper multiline editing with syntax highlighting, graphical calltips, and

    more.

    '
  dev_url: https://github.com/jupyter/qtconsole
  doc_source_url: https://github.com/jupyter/qtconsole/tree/5.3.0/docs
  doc_url: https://qtconsole.readthedocs.org/en/stable/
  home: http://jupyter.org
  license: BSD-3-Clause
  license_family: BSD
  license_file: LICENSE
  summary: Jupyter Qt console
extra:
  copy_test_source_files: true
  final: true
  recipe-maintainers:
    - Carreau
    - ccordoba12
    - jakirkham
    - minrk
    - ocefpaf
    - takluyver
